Bug 1299632 - deployment fails tempest.api.volume.test_volumes_list.VolumesV2ListTestJSON with VolumeBuildErrorException
deployment fails tempest.api.volume.test_volumes_list.VolumesV2ListTestJSON w...
Status: CLOSED WORKSFORME
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 10.0 (Newton)
Assigned To: Hugh Brock
yeylon@redhat.com
: Automation, AutomationBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 14:55 EST by Steve Linabery
Modified: 2016-04-18 03:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-14 12:17:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Linabery 2016-01-18 14:55:55 EST
Latest poodle CI fails this tempest test despite successful deployment. This is on baremetal, ha, ml2-vxlan. Bonded with vlans.

Also fails VolumesV1ListTestJSON with same stack trace.

_StringException: Traceback (most recent call last):
  File "/home/stack/tempest/tempest/test.py", line 272, in setUpClass
    six.reraise(etype, value, trace)
  File "/home/stack/tempest/tempest/test.py", line 265, in setUpClass
    cls.resource_setup()
  File "/home/stack/tempest/tempest/api/volume/test_volumes_list.py", line 72, in resource_setup
    volume = cls.create_volume(metadata=cls.metadata)
  File "/home/stack/tempest/tempest/api/volume/base.py", line 118, in create_volume
    cls.volumes_client.wait_for_volume_status(volume['id'], 'available')
  File "/home/stack/tempest/tempest/services/volume/json/volumes_client.py", line 173, in wait_for_volume_status
    raise exceptions.VolumeBuildErrorException(volume_id=volume_id)
VolumeBuildErrorException: Volume 49af23ca-cbb2-4de7-8de4-56f97c1873dd failed to build and is in ERROR status
Comment 5 Mike Burns 2016-04-07 17:03:37 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 6 Steve Linabery 2016-04-14 12:17:49 EDT
The tempest test is passing with the latest OSP7 puddle on baremetal.

Note You need to log in before you can comment on or make changes to this bug.